Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.file_shares.access_rules.delete(
access_rule_id="4f09d7dd-f1f8-4352-b015-741b2192db47",
project_id=1,
region_id=1,
file_share_id="bd8c47ee-e565-4e26-8840-b537e6827b08",
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.FileShares.AccessRules.Delete(
context.TODO(),
"4f09d7dd-f1f8-4352-b015-741b2192db47",
cloud.FileShareAccessRuleDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
FileShareID: "bd8c47ee-e565-4e26-8840-b537e6827b08",
},
)
if err != nil {
panic(err.Error())
}
}curl --request DELETE \
--url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule/{access_rule_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule/{access_rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
File Shares
Delete file share access rule
DELETE
/
cloud
/
v1
/
file_shares
/
{project_id}
/
{region_id}
/
{file_share_id}
/
access_rule
/
{access_rule_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.file_shares.access_rules.delete(
access_rule_id="4f09d7dd-f1f8-4352-b015-741b2192db47",
project_id=1,
region_id=1,
file_share_id="bd8c47ee-e565-4e26-8840-b537e6827b08",
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.FileShares.AccessRules.Delete(
context.TODO(),
"4f09d7dd-f1f8-4352-b015-741b2192db47",
cloud.FileShareAccessRuleDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
FileShareID: "bd8c47ee-e565-4e26-8840-b537e6827b08",
},
)
if err != nil {
panic(err.Error())
}
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
File Share ID
Example:
"bd8c47ee-e565-4e26-8840-b537e6827b08"
Access Rule ID
Example:
"4f09d7dd-f1f8-4352-b015-741b2192db47"
Response
204
No Content
Was this page helpful?
⌘I